package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.WxpayTemp;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.WxpayTempMapper")
public interface WxpayTempMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(WxpayTemp record);

    WxpayTemp selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WxpayTemp record);

    List<WxpayTemp> queryAllWxpayTemp(WxpayTemp record);

    List<WxpayTemp> queryWxpayTempByPage(Map<String, Object> parameter);

    int delete(String id);

    WxpayTemp queryWxpayTemp(WxpayTemp record);

    List<WxpayTemp> query(WxpayTemp record);
}

